Package twisted :: Package words :: Module botbot :: Class BotBot

[show private | hide private]
[frames | no frames]

## Class BotBot

    WordsClient --+
                  |
                 BotBot

Method Summary
| `bot_blowup(self, sender, message, metadata)`
| `bot_list(self, sender, message, metadata)`
| `bot_new(self, sender, message, metadata)`
| `bot_rebuild(self, sender, message, metadata)`
| `bot_tlist(self, sender, message, metadata)`
| `loadBotList(self)`
| `memberJoined(self, member, group)` (inherited from `WordsClient`)
| `memberLeft(self, member, group)` (inherited from `WordsClient`)
| `notifyStatusChanged(self, name, status)` (inherited from `WordsClient`)
| `receiveContactList(self, contactList)` (inherited from `WordsClient`)
| `receiveDirectMessage(self, senderName, messageText, metadata)`
| `receiveGroupMembers(self, names, group)` (inherited from `WordsClient`)
| `receiveGroupMessage(self, sender, group, message, metadata)` (inherited from `WordsClient`)
| `setGroupMetadata(self, metadata, name)` (inherited from `WordsClient`)
| `setupBot(self, voice)`

Generated by Epydoc 1.1 on Thu May 8 13:19:21 2003 | http://epydoc.sf.net